﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Add.aspx.cs" Inherits="Christoc.Modules.CopySafeWeb.Add" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <link id="Link1" href="~/Portals/_default/default.css" type="text/css" rel="stylesheet" runat="server" />
    <link id="Link2" href="~/DesktopModules/Admin/Extensions/module.css" type="text/css" rel="stylesheet" runat="server" />
    <link id="Link3" href="~/Portals/_default/Skins/_default/popUpSkin.css" type="text/css" rel="stylesheet" runat="server" />
    <link id="Link4" href="~/Portals/_default/Skins/_default/WebControlSkin/Default/Grid.Default.css" type="text/css" rel="stylesheet" runat="server" />
    <link id="Link5" href="~/Portals/0/portal.css" type="text/css" rel="stylesheet" runat="server" />
    <script src="<%= Page.ResolveUrl("~/Resources/Shared/Scripts/jquery/jquery.min.js") %>" type="text/javascript"></script>
    <script src="<%= Page.ResolveUrl("~/Resources/Shared/Scripts/jquery/jquery-ui.min.js") %>" type="text/javascript"></script>
    <style type="text/css">
        #copy-safe-web-tabs label {
            min-width: 110px;
            display: inline-block;
        }

        .labelContainer {
            position: relative;
            display: inline-block;
            text-align: right;
            padding-right: 20px;
            line-height: 22px;
        }
    </style>
    <script type="text/javascript">
        $(function () {
            $('#copy-safe-web-tabs').tabs();
            $(document).on('click', '#copy-safe-web-tabs a.dnnFormHelp', function (e) {
                alert(this.title);
                e.preventDefault();
            });
        });

        $(document).on('click', 'a.sendtoeditor', function (e) {
            e.preventDefault();
            var obj = $(this).data('obj');
            popupClose(obj);
        });

        function popupClose(result) {
            var modal = window.top.$('#copy-safe-web-dialog');
            modal.data('result', result);
            modal.dialog('close');
        }
    </script>
</head>
<body>

    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div id="copy-safe-web-tabs">
            <ul class="dnnAdminTabNav">
                <li><a href="#copy-safe-web-tabs-1">Add New</a></li>
                <li><a id="searchTab" href="#copy-safe-web-tabs-2">Search</a></li>
                <li><a href="#copy-safe-web-tabs-3">Existing Files</a></li>
            </ul>
            <div id="copy-safe-web-tabs-1">
                <div class="icon32" id="icon-addnew">
                    <br>
                </div>
                <h2>Add New Class File</h2>
                <fieldset>
                    <div class="dnnFormItem">
                        <asp:FileUpload ID="fileUploader" runat="server" />
                        <asp:Button Text="Upload" ID="btnUpload" runat="server" CssClass="dnnPrimaryAction" OnClick="btnUpload_Click" />
                    </div>
                </fieldset>
                <p>Maximum upload size: <%=this.MaxFileSize %></p>
                <p>You can choose file options after file is uploaded.</p>
                <p>If you use same name with uploaded class file, it will be overwritten.</p>
                <div class="clear"></div>
            </div>
            <div id="copy-safe-web-tabs-2">
                <div class="icon32" id="icon-search">
                    <br>
                </div>
                <asp:UpdatePanel ID="upSearch" runat="server">
                    <ContentTemplate>
                        <div id="fileupdate_message" runat="server" visible="false">
                            <div class="updated">
                                <strong>File Options Are Saved</strong>
                                <br />
                                <div style="margin-top: 5px;">
                                    <a href="#" id="updatedFile" runat="server" class="dnnPrimaryAction sendtoeditor"><strong>Insert file to editor</strong></a>
                                </div>
                            </div>
                        </div>
                        <h2>Search File</h2>
                        <div class="dnnFormItem">
                            <asp:Label ID="Label1" Text="File name :" AssociatedControlID="txtFileName" runat="server" />
                            <asp:TextBox ID="txtFileName" runat="server" />
                            <asp:Button ID="btnSearchFile" Text="Search" CssClass="dnnPrimaryAction" runat="server" OnClick="btnSearchFile_Click" />
                            <button type="button" class="dnnSecondaryAction" onclick="closePopup()" id="close2">Close</button>
                        </div>
                        <div id="file_details" runat="server" visible="false">
                            <hr>
                            <div class="icon32" id="Div1">
                                <br>
                            </div>
                            <h2>Page Settings</h2>
                            <fieldset>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblWidth" runat="server" AssociatedControlID="txtCustomWidth" Text="Custom Width:" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Width in pixels. For auto width set 0."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtCustomWidth" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblHeight" runat="server" AssociatedControlID="txtCustomHeight" Text="Custom Height:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Height in pixels. For auto height set 0."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtCustomHeight" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblBorderSize" runat="server" AssociatedControlID="txtBorderSize" Text="Border size:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Border thickness in pixels. For no border set 0."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtBorderSize" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblBorderColor" runat="server" AssociatedControlID="txtBorderColor" Text="Border color:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Color of the border and image backround area. For example use FFFFFF for white and 000000 is for black... without the # symbol."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtBorderColor" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblTextColor" runat="server" AssociatedControlID="txtTextColor" Text="Text color:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Color of the text message that is displayed in the image area sas the image downloads."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtTextColor" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblPreventCapture" runat="server" AssociatedControlID="cbPreventCapture" Text="Prevent Capture:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Check this box to disable Printscreen and screen capture when the class image loads."></a>
                                    </span>
                                    <asp:CheckBox Text="" ID="cbPreventCapture" runat="server" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">

                                        <asp:Label ID="lblPreventKeyboard" runat="server" AssociatedControlID="cbPreventKeyboard" Text="Prevent Keyboard:"
                                            data-alt="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Check this box to disable use of the keyboard when the class image loads."></a>
                                    </span>
                                    <asp:CheckBox Text="" ID="cbPreventKeyboard" runat="server" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">

                                        <asp:Label ID="lblPreventMenus" runat="server" AssociatedControlID="cbPreventMenus" Text="Prevent Menus:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Check this box to disable use of browser menus. This option is browser dependent."></a>
                                    </span>
                                    <asp:CheckBox Text="" ID="cbPreventMenus" runat="server" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">

                                        <asp:Label ID="lblPreventRemote" runat="server" AssociatedControlID="cbPreventRemote" Text="Prevent Remote:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Check this box to prevent viewing by remote or virtual computers when the class image loads."></a>
                                    </span>
                                    <asp:CheckBox Text="" ID="cbPreventRemote" runat="server" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblLoadingMessage" runat="server" AssociatedControlID="txtLoadingMessage" Text="Loading message:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Set the message to display as this class image loads."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtLoadingMessage" Text="Image loading..." />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblLink" runat="server" AssociatedControlID="txtHyperLink" Text="Hyperlink:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Add a link to another page activated by clciking on the image, or leave blank for no link."></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtHyperLink" />
                                </div>
                                <div class="dnnFormItem">
                                    <span class="labelContainer">
                                        <asp:Label ID="lblFrame" runat="server" AssociatedControlID="txtTargetFrame" Text="Target frame:"
                                            data-help="" />
                                        <a tabindex="-1" class="dnnFormHelp" href="#" title="Set the target frame for the hyperlink, for example _top"></a>
                                    </span>
                                    <asp:TextBox runat="server" ID="txtTargetFrame" Text="_top" />
                                </div>
                                <asp:HiddenField ID="hFileName" runat="server" />
                                <asp:HiddenField ID="hSize" runat="server" />
                                <asp:HiddenField ID="hCreateDate" runat="server" />
                                <p class="submit">
                                    <asp:Button ID="btnSave" Text="Save" CssClass="dnnPrimaryAction" runat="server" OnClick="btnSave_Click" />
                                    <input type="button" value="Cancel" class="dnnSecondaryAction" id="cancel">
                                </p>
                            </fieldset>
                        </div>
                        <div id="no_results" runat="server" visible="false">
                            <hr>
                            <h2>No found file</h2>
                        </div>
                        <div class="clear"></div>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </div>
            <div id="copy-safe-web-tabs-3">
                <div class="icon32" id="icon-file">
                    <br>
                </div>
                <h2>Uploaded Class Files</h2>
                <div class="RadGrid RadGrid_Default">
                    <table style="width: 100%">
                        <thead>
                            <tr>
                                <th class="rgHeader">&nbsp;</th>
                                <th class="rgHeader">File</th>
                                <th class="rgHeader">Size</th>
                                <th class="rgHeader">Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            <asp:Repeater ID="rFiles" runat="server">
                                <ItemTemplate>
                                    <tr class="rgRow">
                                        <td></td>
                                        <td><a href="#" alt="<%# Eval("FileName") %>" class="sendtoeditor row-actionslink" data-obj="<%# Eval("CopySafeData") %>"><%# Eval("FileName") %></a></td>
                                        <td style="width: 50px"><%# Eval("Size") %> KB</td>
                                        <td style="width: 130px"><%# Eval("CreateDate") %></td>
                                    </tr>
                                </ItemTemplate>
                            </asp:Repeater>
                        </tbody>
                    </table>
                </div>
                <div class="clear"></div>

            </div>
        </div>
    </form>
</body>
</html>
